summaryrefslogtreecommitdiffstats
path: root/runtests.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2011-08-25 15:35:53 -0700
committerZac Medico <zmedico@gentoo.org>2011-08-25 15:35:53 -0700
commit3c954b62643a3c645d7172b47b0582599606cc29 (patch)
tree2569e210f07a3a384a8d95aeb3ceb88a0b5d66f8 /runtests.sh
parenta509ffd891642b3353a6160ba04057272b48dc2c (diff)
downloadportage-3c954b62643a3c645d7172b47b0582599606cc29.tar.gz
portage-3c954b62643a3c645d7172b47b0582599606cc29.tar.bz2
portage-3c954b62643a3c645d7172b47b0582599606cc29.zip
Enable -Wd for tests, so DeprecationWarning works
DeprecationWarning is suppressed by default since Python 2.7, so it's a good idea to explicitly enable it for tests.
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/runtests.sh b/runtests.sh
index 11aec60f5..981fa1ec2 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -28,7 +28,7 @@ exit_status="0"
for version in ${PYTHON_VERSIONS}; do
if [[ -x /usr/bin/python${version} ]]; then
echo -e "${GOOD}Testing with Python ${version}...${NORMAL}"
- if ! /usr/bin/python${version} pym/portage/tests/runTests "$@" ; then
+ if ! /usr/bin/python${version} -Wd pym/portage/tests/runTests "$@" ; then
echo -e "${BAD}Testing with Python ${version} failed${NORMAL}"
exit_status="1"
fi